%define real_name smake

Summary:      Joerg Schily's smake
Name:         schily-make
License:      GPL
Group:        Development/Tools/Building 
Version:      1.2.1
Release:      1
URL:          http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/smake.html
Source0:      %{real_name}-%{version}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
smake is a highly portable make program with automake features.

Authors:
--------
    Jörg Schilling <schilling@fokus.gmd.de>


%prep
%setup -q -n %{real_name}-%{version}


%build
gmake


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake "INS_BASE=${RPM_BUILD_ROOT}%{_prefix}" install

cp psmake/%{real_name} ${RPM_BUILD_ROOT}%{_bindir}/%{real_name}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# remove non-packaged files
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/libschily.a
rm -rf ${RPM_BUILD_ROOT}%{_libdir}/profiled
rm -rf ${RPM_BUILD_ROOT}%{_includedir}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AN* COPYING PORTING README*
%{_bindir}/*
%{_libdir}/defaults.smk
%{_mandir}/man*/*
/usr/bin/*


%changelog
* Mon Jul 11 2011 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Fri Jul 23 2010 Michael Perzl <michael@perzl.org> - 1.2a49-1
- first version for AIX V5.1 and higher
